Package wx :: Package lib :: Package agw :: Module fmcustomizedlg :: Class FMTitlePanel

[frames | no frames]

## Type FMTitlePanel

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
                     Panel --+
                             |
                            FMTitlePanel

Helper class to draw gradient shadings on the dialog.

Method Summary
| ``__init__`(self, parent, title)` Default class constructor.
| ``OnEraseBackground`(self, event)` Handles the wx.EVT_ERASE_BACKGROUND event for FMTitlePanel.
| ``OnPaint`(self, event)` Handles the wx.EVT_PAINT event for FMTitlePanel.

Property Summary

Instance Method Details

### __init__(self, parent, title)
(Constructor)

Default class constructor.

  Overrides:
    `wx.Panel.__init__`

### OnEraseBackground(self, event)

Handles the wx.EVT_ERASE_BACKGROUND event for FMTitlePanel.

### OnPaint(self, event)

Handles the wx.EVT_PAINT event for FMTitlePanel.

Generated by Epydoc 2.1.20050511.rpd on Mon Feb 16 12:51:46 2009 | http://epydoc.sf.net